Bulletin d'alerte Debian

DSA-1891-1 changetrack -- Exécution de commandes d'interpréteur

Date du rapport :
22 septembre 2009
Paquets concernés :
changetrack
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 546791.
Dans le dictionnaire CVE du Mitre : CVE-2009-3233.
Plus de précisions :

Marek Grzybowski a découvert que changetrack, un programme pour surveiller les modifications de fichiers (de configuration), est prédisposé à l'injection de commandes d'interpréteur à l'aide de métacaractères dans les noms de fichier. Le comportement du programme a été ajusté pour rejeter tous les noms de fichier avec des métacaractères.

Pour la distribution oldstable (Etch), ce problème a été corrigé dans la version 4.3-3+etch1.

Pour la distribution stable (Lenny), ce problème a été corrigé dans la version 4.3-3+lenny1.

Pour la distribution testing (Squeeze), ce problème sera corrigé prochainement.

Pour la distribution unstable (Sid), ce problème a été corrigé dans la version 4.5-2.

Nous vous recommandons de mettre à jour vos paquets changetrack.

Corrigé dans :

Debian GNU/Linux 4.0 (etch)

Source :
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+etch1.diff.gz
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+etch1.dsc
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+etch1_all.deb

Debian GNU/Linux 5.0 (lenny)

Source :
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3.orig.tar.gz
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+lenny1.diff.gz
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+lenny1.dsc
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/c/changetrack/changetrack_4.3-3+lenny1_all.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.